EDIT - feature request #7026

RegistrationVoter evaluates CdmAuthorities with RegistrationStatus properties
10/19/2017 04:23 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.11

Severity: normal

Description

1. Registration Stage changes will be triggered via the REST services, (see #7012) this will require the remote user to be granted
with the CdmAuthoritiy (REGISTRATION.[UPDATE){${uuid}}) or with
REGISTRATION(${RegistrationStatusTypes}).[UPDATE]{${uuid}} whereas ${RegistrationStatusTypes is a comma separated
list of status types (see also below)

2. Once a Registration has left the state PREPARATION a per entity permission for this registration must be revoked. Once the
curator decides to give the Registration back to the submitter the state will change again to PREPARATION' and the submitter
again needs to be able to add typeDesignations. This is rather complicated and could rather easily be achieved by extending
the Registration authorities by an optional property which refers to the state of the Registration:
REGISTRATION(${RegistrationStatusTypes}).[UPDATE]{${uuid}}, whereas ${RegistrationStatusTypes is a comma separated
list of status types . The authoritiy is only applicable as long as the Registration is in the named status.

(both statements copied from #6655)

Related issues:
Related to EDIT - feature request #6655: Implement a RegistrationManager with... Rejected
Related to EDIT - bug #7323: RegistrationVoter ignores uuid if propery given Closed

Associated revisions

Revision 77b7dd76 - 10/19/2017 09:48 PM - Andreas Kohlbecker

fix #7026 RegistrationVoter with further voting deccision for registrationStatus

Revision 499f55b2 - 10/20/2017 10:21 AM - Andreas Kohlbecker

ref #6867 ref #7026 extending UserHelper to allow creation of authorities with propeties and test button in debug mode

History

#1 - 10/19/2017 04:25 PM - Andreas Kohlbecker

- Related to feature request #6655: Implement a RegistrationManager with state machine added

#2 - 10/19/2017 04:26 PM - Andreas Kohlbecker
- Description updated

- Status changed from New to In Progress

#3 - 10/19/2017 09:48 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|77b7dd7606494f59a6134bcc84aa95714b997ffb.

#4 - 03/23/2018 11:25 AM - Andreas Kohlbecker
- Priority changed from New to Highest

#5 - 03/23/2018 11:28 AM - Andreas Kohlbecker
- Related to bug #7323: RegistrationVoter ignores uuid if propery given added
https://dev.e-taxonomy.eu/redmine/issues/7012
https://dev.e-taxonomy.eu/redmine/issues/6655
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/77b7dd7606494f59a6134bcc84aa95714b997ffb

#6 - 03/23/2018 11:29 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

fully solved now after the bug described in #7323 has been fixed
